{% extends "masterpage.html" %}
{% block content %}
    <div class="container">
      <div class="row">
        <div class="col-lg-12">

          <div class="card-body">
            <h4 class="card-title">Send Coins</h4>
            <p class="card-text">Enter transaction details and click on "Generate Transaction" button to generate your transaction</p>
          </div>

        </div>
      </div>
    </div>

    <br>


    <div class="container alert alert-secondary">
    <form id="transaction_form">

        <div class="row">
          <label class="col-sm-2">Sender Address:</label>
          <div class="col-sm-10">
            <input type="text" name="sender_address" id="sender_address" rows="2" class="form-control">

          </div>
        </div>

        <br>

        <div class="row">
          <label class="col-sm-2">Sender Private Key:</label>
          <div class="col-sm-10">
            <input type="text" name="sender_private_key" id="sender_private_key" rows="2" class="form-control">
          </div>
        </div>

        <br>

        <div class="row">
          <label class="col-sm-2">Recipient Address:</label>
          <div class="col-sm-10">
            <input type="text" name="recipient_address" id="recipient_address" rows="2" class="form-control">
          </div>
        </div>

        <br>

        <div class="row">
          <label class="col-sm-2">Amount to Send:</label>
          <div class="col-sm-10">
            <input type="text" name="amount" id="amount" rows="2" class="form-control">
          </div>
        </div>

        <br>

        <div class="row">
          <div class="col-lg-12 text-center">
            <input type="button" id="generate_transaction" class="btn btn-primary btn-lg" value="Generate Transaction" data-toggle="modal" data-target="#basicModal">
          </div>
        </div>

        <br>

    </form>
    </div>


    <!-- Modal -->
    <div class="modal modal-alert fade" id="basicModal" tabindex="-1" role="dialog" aria-labelledby="basicModal" aria-hidden="true">
      <div class="modal-dialog">

        <div class="modal-content">

          <div class="modal-header">
            <div class="modal-title col-md-10">Confirm transaction details, enter a blockchain node url and click on "Confirm Transaction" to finalize your transaction.</div>
            <button type="button" class="close col-md-2" data-dismiss="modal" aria-hidden="true">&times;</button>
          </div>

          <div class="modal-body">

            <form id="confirmation_transaction_form">

                <div class="row">
                  <label class="col-sm-12">Sender Address:</label>
                  <div class="col-sm-12">
                    <input type="text" name="sender_address" id="confirmation_sender_address" rows="2" class="form-control" readonly>

                  </div>
                </div>

                <div class="row">
                  <label class="col-sm-12">Recipient Address:</label>
                  <div class="col-sm-12">
                    <input type="text" name="recipient_address" id="confirmation_recipient_address" rows="2" class="form-control" readonly>
                  </div>
                </div>

                <div class="row">
                  <label class="col-sm-12">Amount to Send:</label>
                  <div class="col-sm-12">
                    <input type="text" name="amount" id="confirmation_amount" rows="2" class="form-control" readonly>
                  </div>
                </div>

                <div class="row">
                  <label class="col-sm-12">Transaction Signature:</label>
                  <div class="col-sm-12">
                    <input type="text" name="signature" id="transaction_signature" rows="2" class="form-control" readonly>
                  </div>
                </div>

            </form>


            <div class="row">
              <label class="col-sm-12">Blockchain Node URL:</label>
              <div class="col-sm-12">
                <input type="text" name="node_url" id="node_url" rows="2" class="form-control" value="http://172.16.0.200:8080">
              </div>
            </div>

          </div>

          <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal" id="ModalCancel">Cancel</button>
            <button type="button" id="button_confirm_transaction" data-dismiss="modal" class="btn btn-success" data-toggle="modal" data-target="#success_transaction_modal">Confirm Transaction</button>
          </div>

        </div>

      </div>
    </div>


    <!-- Alert Message for successful transaction -->
    <div class="modal modal-alert fade" id="success_transaction_modal" tabindex="-1" role="dialog" aria-labelledby="basicModal" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">

          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          </div>

          <div class="modal-body">
            <div class="alert alert-success" role="alert">
              <h4 class="alert-heading">Successful Transaction!</h4>
              <p>You successfully completed your transaction. It will be added to the next block.</p>
            </div>
          </div>

          <div class="modal-footer">
            <button type="button" id="button_confirm_transaction" class="btn btn-success" data-dismiss="modal">OK</button>
          </div>

        </div>
      </div>
    </div>

{% endblock %}